/* 3_senzavocali.c */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* FUNZIONE DA REALIZZARE
   ======================

   Realizzare la funzione senzavocali(s) riportata sotto, che riceve
   in input una stringa s e restituisce una NUOVA stringa contenente
   gli stessi caratteri di s tranne le vocali. 

   Ad esempio, se s = "questa e' una prova.", la funzione deve
   restituire la nuova stringa "qst ' n prv.".

   Si garantisce che s non contenga lettere maiuscole, ma potra'
   contenere spazi, numeri e altri caratteri di punteggiatura (che non
   sono vocali, quindi vanno riportati nella stringa risultato).  La
   funzione NON DEVE modificare la stringa passata come parametro.

   Se lo si ritiene utile e' possibile usare funzioni definite in
   <string.h> come ad esempio strlen().

*/

char *senzavocali( char *s )
{
    return NULL;    
}

void test(char *s, char *expect)
{
    char *r = senzavocali(s);
    if ( (r != NULL) && (0 == strcmp(r, expect)) ) {
        printf("Test OK\n");
    } else {
        printf("Test FALLITO: s=\"%s\", risultato atteso \"%s\", risultato ottenuto \"%s\"\n", s, expect, r);
    }
    free(r);
}

int main( void )
{
    test("questa e' una prova.", "qst ' n prv.");
    test("supercalifragilistichespiralidoso", "sprclfrglstchsprlds");
    test("aaa", "");
    test("una mela al giorno toglie il medico di torno", "n ml l grn tgl l mdc d trn");
    test("alcuni studi dimostrano che e' spesso possibile comprendere un testo anche senza vocali", "lcn std dmstrn ch ' spss pssbl cmprndr n tst nch snz vcl");
    test("", "");

    return 0;    
}
